libzypp 17.38.15

PoolStats.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp-core/base/Functional.h>`
`#include <zypp/base/Counter.h>`
`#include <zypp/ResObject.h>`

Go to the source code of this file.

## Classes
struct | zypp::pool::PoolStats
| Functor counting ResObjects per Kind. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::pool

## Functions
std::ostream & | zypp::pool::operator<< (std::ostream &str, const PoolStats &obj) ZYPP_API
| relates: PoolStats Stream output
template<class TIterator>
std::ostream & | zypp::dumpPoolStats (std::ostream &str, TIterator begin_r, TIterator end_r)
| relates: pool::PoolStats Convenience to count and print out the number of ResObjects per Kind in a container.